Bug 121024 - problem with relocateable RPM
problem with relocateable RPM
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-16 06:51 EDT by Francesco s.
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-17 22:59:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francesco s. 2004-04-16 06:51:53 EDT
Description of problem:
the problem occurs when installing a relocateable RPM and the --prefix
 path is the same as the path without running the relocation.


Version-Release number of selected component (if applicable):
Name:rpm Version: 4.2.1 Release: 0.30

How reproducible:
if you install a relocateable RPM and --prefix option path is the same
as the path without running the relocation.

Steps to Reproduce:
1. rpm -ivh --test -vv --prefix=/opt/program prog-1.1-1.i386.rpm 
2. 
3.
  
Actual results:
[root@localhost imss]# rpm -ivh --test -vv --prefix=/opt/trend
imss-5.5-1.i386.rpm 
D: ============== imss-5.5-1.i386.rpm
D: Expected size:     27589485 = lead(96)+sigs(160)+pad(0)+data(27589229)
D:   Actual size:     27589485
D: imss-5.5-1.i386.rpm: MD5 digest: OK (71eaf4e6089d5a2666f4c4bbe130117c)
D: ========== relocations
D:     0 relocate /opt/trend -> /opt/trend
Segmentation fault

Expected results:
[root@localhost imss]# rpm -qi imss
Name        : imss                         Relocations: /opt/trend 
Version     : 5.5                               Vendor: Trend Micro, Inc.
Release     : 1                             Build Date: sab 20 dic
2003 03:06:48 CET
Install Date: ven 16 apr 2004 12:44:03 CEST      Build Host:
us-linuxbuild5
Group       : Applications/System           Source RPM: imss-5.5-1.src.rpm
Size        : 91519787                         License: Trend
Signature   : (none)
Summary     : InterScan Message Security Suite 5.5
Description :
InterScan Message Security Suite 5.5

Additional info:
the problem occurs when installing a relocateable RPM and the --prefix
 path is the same as the path without running the relocation.
Comment 1 Stephen Lawrence Jr. 2004-05-27 14:20:09 EDT
I am having the same issue even if I set the prefix to a different
directory:

[root@mars sps]# rpm -qpl imss-5.5-1.i386.rpm
/opt/trend/imss
/opt/trend/imss/bin
/opt/trend/imss/bin/IMSSJoinTMI
/opt/trend/imss/bin/RepMsg.dat
....


[root@mars sps]# rpm -vv -i imss-5.5-1.i386.rpm --prefix /usr/local/trend

D: ============== imss-5.5-1.i386.rpm
D: Expected size:     27589485 = lead(96)+sigs(160)+pad(0)+data(27589229)
D:   Actual size:     27589485
D: imss-5.5-1.i386.rpm: MD5 digest: OK (71eaf4e6089d5a2666f4c4bbe130117c)
D: ========== relocations
D:     0 relocate /opt/trend -> /usr/local/trend
Segmentation fault
Comment 2 Jeff Johnson 2006-03-17 22:59:58 EST
I downloaded an eval copy of imss-5.5-1.i386.rpm from
    http://www.trendmicro.com

I tried installing without --prefix, installing with --prefix /opt/trend, and --prefix /usr/trend
using rpm-4.4.6-0.5

All installs were successful.

I suspect the problem has been fixed.

Note You need to log in before you can comment on or make changes to this bug.